<?php
/**
 * Return the default options of the theme
 * 
 * @return  void
 */

function themesflat_customize_default($key) {
	$default = array(
		'social_links'	=> array ("behance" => '#', "dribbble" => '#', "instagram" => '#', "pinterest" => '#'),
		'show_social_share' => 1,						
		'logo_controls' => array('padding-top' => '','padding-left' => '','padding-bottom' => ''),
		'style_header'	=> 'header-style2',	
		'header_row_stretch' => 0,
		'header_backgroundcolor'=>'',
		'header_sticky' => 1,
		'header_search_box' => 0,
		'header_info_icon_mail' => '<i class="far fa-envelope"></i>',
		'header_info_text_mail' => 'contact@zview_creative.com',
		'header_info_icon_phone' => '',
		'header_info_text_phone' => '',
		'header_info_icon_address' => '',
		'header_info_text_address' => '',
		'header_button_text' => 'Hire Me Now',
		'header_button_url' => '#',
		'header_content_right' => '',
		'header_absolute'	=> 1,		
		'footer_controls' => array('padding-top' => 114, 'padding-bottom' => 20, 'margin-bottom' => 0),
		'bread_crumb_prefix' =>'',
		'breadcrumb_separator' =>  '<i class="tf-icon-arrow-right"></i>',
		'footer_widget_areas' => 5,
		'show_post_navigator' => 0,
		'show_entry_footer_content'	=> 0,
		'logo_width' => 89,
		'menu_location_primary' => 'primary',
		'site_logo'	=> THEMESFLAT_LINK . 'images/logo.png',
		'site_logo_sticky'	=> THEMESFLAT_LINK . 'images/logo_dark.png',
		'site_logo_mobile'	=> THEMESFLAT_LINK . 'images/logo.png',	
		'page_title_background_color_primary' => '#eb6d2f',
		'page_title_background_color_second' => '#fdd906',
		'page_title_background_color_opacity' => '90',
		'page_title_text_color' => 'rgba(255,255,255,1)',
		'page_title_link_color' => 'rgba(255,255,255,1)',
		'page_title_controls' => array('padding-top' => 240, 'padding-bottom' => 226, 'margin-bottom' => 120),
		'page_title_background_image' => '',
		'page_title_image_size' => 'auto',
		'page_title_heading_enabled' => 1,
		'footer1' => 'footer-1',
		'footer2' => 'footer-2',
		'footer3' => 'footer-3',
		'footer4' => 'footer-4',
		'show_bottom' => 1,		
		'header_backgroundcolor_sticky'=>'#ffffff',
		'header_color_sticky' => '#000000',
		'header_color_sticky_hover' => '#eb6d2f',
		'mainnav_color'		=> '#ffffff',
		'mainnav_hover_color'=>'rgba(255,255,255,0.7)',
		'sub_nav_color'		=>'#203b48',
		'sub_nav_background'=>'#ffffff',
		'sub_nav_color_hover'	=>	'#eb6d2f',
		'sub_nav_background_hover'=>'#f9f8f8',
		'sub_nav_border_color' => '#f7f7f7',
		'primary_color'=>'#eb6d2f',
		'second_color'=>'#fdd906',
		'accent_color'=>'#151515',
		'body_text_color'=>'#777777',
		'body_background_color' => '',
		'body_font_name'	=> array(
			'family' => 'Open Sans',
			'style'  => 'regular',
			'size'   => '16',
			'line_height'=>'1.875'
			),
		'menu_font_name'	=> array(
			'family' => 'Open Sans',
			'style'  => '700',
			'size'   => '14',
			'line_height'=>'100px',
		), 
		'sub_menu_font_name'	=> array(
			'family' => 'Open Sans',
			'style'  => '500',
			'size'   => '14',
			'line_height'=>'24px',
		),
		'headings_font_name'	=> array(
			'family' => 'Poppins',
			'style'  => '700',
			'line_height'=>'1.5',			
		),
		'h1_size' => 50,
		'h2_size' => 32,
		'h3_size' => 24,
		'h4_size' => 18,
		'h5_size' => 16,
		'h6_size' => 14,
		'title_widget_font' => 18,
        'title_comment_font' => 32,
		'blockquote_font_name'	=> array(
			'family' => 'Poppins',
			'style'  => '300',
			'size'   => '24',
			'line_height'=>'40px',
		),			
		'breadcrumb_enabled' => 0,
		'show_post_paginator' => 0,
		'blog_grid_columns' => 2,
		'blog_archive_exclude' => '',
		'blog_featured_title' => 'Blog',
		'blog_layout' => 'sidebar-right',
		'blog_archive_layout' => 'blog-list',
		'related_post_style'	=> 'blog-grid',
		'blog_sidebar_list'		  => 'blog-sidebar',	
		'blog_archive_readmore' => 1,
		'blog_archive_post_excepts_length' => 42,
		'blog_archive_readmore_text' => 'READ MORE',
		'blog_archive_pagination_style' => 'pager-numeric',
		'blog_posts_per_page'	=> 3,
		'blog_order_by'	=> 'date',
		'blog_order_direction' => 'DESC',
		'page_sidebar_list'	=> 'blog-sidebar',		
		'show_readmore'	  => 1,
		'portfolio_show_filter' => 0,
		'portfolio_grid_columns' => 3,
		'portfolios_show_number_post' => 9,
		'portfolio_archive_pagination_style' => 'pager-numeric',
		'portfolio_filter_category_order' => '',
		'portfolio_order_by' => 'date',
		'portfolio_order_direction' => 'DESC',
		'portfolio_exclude' => '',
		'portfolios_layout' => 'fullwidth',
		'portfolios_show_post_navigator' => 0,
		'portfolios_show_related' => 0,
		'portfolios_related_grid_columns' => 3,
		'number_related_post_portfolios' => 3,
		'services_show_filter' => 0,
		'services_grid_columns' => 3,
		'services_archive_pagination_style' => 'pager-numeric',
		'services_filter_category_order' => '',
		'services_order_by' => 'date',
		'services_order_direction' => 'DESC',
		'services_exclude' => '',
		'services_layout' => 'fullwidth',
		'services_show_post_navigator' => 0,
		'services_show_related' => 0,
		'services_related_grid_columns' => 3,
		'services_show_number_post' => 9,
		'footer_background_color'	=> '#0d0d0d',
		'footer_title_widget_color' => '#ffffff',
		'footer_text_color'			=> '#B1B1B1',
		'footer_text_color_hover'   => '#eb6d2f',
		'bottom_background_color'	=> '#0d0d0d',
		'bottom_text_color'			=> '#ffffff',
		'bottom_link_color'         => '#eb6d2f',
		'bottom_text_color_hover'   => '#eb6d2f',
		'go_top'					=> 1,
		'layout_version'			=> 'wide',		
		'footer_copyright'			=> '2021 Themesflat. All Rights Reserved',
		'enable_smooth_scroll'	=> 0,
		'enable_preload' => 1,
		'preload' => 'preload-6',
		'show_content' => 1,
		'page_title_styles' => 'default',
		'page_title_alignment' => 'left',
		'page_title_video_url' => THEMESFLAT_PROTOCOL . '://www.youtube.com/watch?v=JyMeGpvpjas',
		'show_action_box'	=> 0,
		'text_action_box'	=>	'<h3>Lorem ipsum dolor sit amet, consectetur adipisicing elit</h3><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit</p>',
        'text_button_action_box'	=> 'Read More',
        'action_box_background_image' => '',
        'action_box_background_color' => '#000000',
        'action_box_heading_color' => '#ffffff',
        'action_box_text_color'	=> '#ffffff',
        'action_box_button_text_color' => '#ffffff',
        'action_box_button_background_color' => '#eb6d2f',
        'show_partner'	=> 0,
		'img_partner' => '',
		'partner_loop' => 'false',
		'partner_show_item' => 5,
		'partner_box_controls' => array('padding-top' => 67,'padding-bottom' => 123),
        'page_title_button_show' => 0,
        'text_page_title_button' => 'REQUEST A QUOTE!',
        'page_title_button_url' => '#',
        'product_per_page' => 12,
        'product_columns' => 4,
        'product_style' => '1',
        'product_layout' => 'fullwidth',
        'woo_products_related_per_page' => '',
        'woo_products_related_columns' => '',
        'show_footer' => 1,
        'menu_one_page' => 0,
	);
	return $default[$key];
}