<?php
/**
 * @package zev
 */
//Output all custom styles for this theme

function themesflat_custom_styles( $custom ) {
	$custom = '';

	//GROUP FONT
		$font = themesflat_get_json('body_font_name');

		$font_style = themesflat_font_style($font['style']);

		$body_fonts = $font['family'];
		$body_line_height = $font['line_height'];
		$body_font_weight = $font_style[0];
		$body_font_style = $font_style[1];
		$body_size = $font['size'];
		/*Typography Body*/
			// Body font family
			if ( $body_fonts !='' ) {
				$custom .= "body,button,input,select,textarea { font-family:'" . $body_fonts . "';}"."\n";
			}
			// Body font weight
			if ( $body_font_weight !='' ) {
				$custom .= "body,button,input,select,textarea { font-weight:" . $body_font_weight . ";}"."\n";
			}
			// Body font style
			if ( isset( $body_font_style ) ) {
		        $custom .= "body,button,input,select,textarea { font-style:" . $body_font_style . "; }"."\n";        
			}
		    // Body font size
		    if ( $body_size !=''  ) {
		        $custom .= "body,button,input,select,textarea { font-size:" . intval( $body_size ) . "px; }"."\n";    
		    }
		    // Body line height
		    if ( $body_line_height != '' ) {
		        $custom .= "body,button,input,select,textarea { line-height:" . $body_line_height . ";}"."\n";    
		    }

		$headings_fonts_ = themesflat_get_json('headings_font_name');
		$headings_fonts_family = $headings_fonts_['family'];
		$headings_style = themesflat_font_style( $headings_fonts_['style'] );
		$headings_font_weight = $headings_style[0];
		$headings_font_style = $headings_style[1];
		$headings_line_height = $headings_fonts_['line_height'];
	    /*Typography Headings*/	    	
			// Headings font family
			if ( $headings_fonts_family !='' ) {
				$custom .= "h1,h2,h3,h4,h5,h6 { font-family:" . $headings_fonts_family . ";}"."\n";

			}
			//Headings font weight
			if ( $headings_font_weight !='' ) {
				$custom .= "h1,h2,h3,h4,h5,h6 { font-weight:" . $headings_font_weight . ";}"."\n";
			}
			//Headings font weight
			if ( $headings_line_height !='' ) {
				$custom .= "h1,h2,h3,h4,h5,h6 { line-height:" . $headings_line_height . ";}"."\n";
			}
			// Headings font style
			if ( isset( $headings_font_style )) {
		        $custom .= "h1,h2,h3,h4,h5,h6  { font-style:" . $headings_font_style . "; }"."\n";
			}

		$menu_fonts_ = themesflat_get_json('menu_font_name');
		$menu_fonts_family = $menu_fonts_['family'];
		$menu_fonts_size = $menu_fonts_['size'];
		$menu_line_height = $menu_fonts_['line_height'];
		$menu_style = themesflat_font_style( $menu_fonts_['style'] );
		$menu_font_weight = $menu_style[0];
		$menu_font_style = $menu_style[1];
		/*Typography Menu*/			
			// Menu font family
			if ( $menu_fonts_family != '') {
				$custom .= "#mainnav > ul > li > a, .header-modal-menu-left-btn .text, header .flat-information li { font-family:" . $menu_fonts_family . ";}"."\n";
			}
			// Menu font weight
			if ( $menu_font_weight != '' ) {
				$custom .= "#mainnav > ul > li > a, .header-modal-menu-left-btn .text { font-weight:" . $menu_font_weight . ";}"."\n";
			}
			// Menu font style
			if ( isset( $menu_font_style )) {
		        $custom .= "#mainnav > ul > li > a, .header-modal-menu-left-btn .text  { font-style:" . $menu_font_style . "; }"."\n";   
			}
		    // Menu font size
		    if ( $menu_fonts_size != '' ) {
		        $custom .= "#mainnav ul li a, .header-modal-menu-left-btn .text, header .flat-information li { font-size:" . intval($menu_fonts_size) . "px;}"."\n";
		    }
		    // Menu line height
		    if ( $menu_line_height != '' ) {
		        $custom .= "#mainnav > ul > li > a, #header .show-search a, header .block a, #header .mini-cart-header .cart-count, #header .mini-cart .cart-count, .button-menu { line-height:" . $menu_line_height . ";}"."\n";
		        $custom .= ".header-sticky #mainnav > ul > li > a, .header-sticky #header .show-search a, .header-sticky header .block a, .header-sticky #header .mini-cart-header .cart-count, .header-sticky #header .mini-cart .cart-count, .header-sticky .button-menu { line-height:calc(" . $menu_line_height . " / 1.4);}"."\n";
		    }

		$sub_menu_fonts_ = themesflat_get_json('sub_menu_font_name');
		$sub_menu_fonts_family = $sub_menu_fonts_['family'];
		$sub_menu_fonts_size = $sub_menu_fonts_['size'];
		$sub_menu_line_height = $sub_menu_fonts_['line_height'];
		$sub_menu_style = themesflat_font_style( $sub_menu_fonts_['style'] );
		$sub_menu_font_weight = $sub_menu_style[0];
		$sub_menu_font_style = $sub_menu_style[1];
		/*Typography Sub menu*/
			// Sub Menu font family
			if ( $sub_menu_fonts_family != '') {
				$custom .= "#mainnav ul.sub-menu > li > a { font-family:" . $sub_menu_fonts_family . ";}"."\n";
			}
			// Sub Menu font weight
			if ( $sub_menu_font_weight != '' ) {
				$custom .= "#mainnav ul.sub-menu > li > a { font-weight:" . $sub_menu_font_weight . ";}"."\n";
			}
			// Sub Menu font style
			if ( isset( $sub_menu_font_style )) {
		        $custom .= "#mainnav ul.sub-menu > li > a  { font-style:" . $sub_menu_font_style . "; }"."\n";   
			}
		    // Sub Menu font size
		    if ( $sub_menu_fonts_size != '' ) {
		        $custom .= "#mainnav ul.sub-menu > li > a { font-size:" . intval($sub_menu_fonts_size) . "px;}"."\n";
		    }
		    // Sub Menu line height
		    if ( $sub_menu_line_height != '' ) {
		        $custom .= "#mainnav ul.sub-menu > li > a { line-height:" . $sub_menu_line_height . ";}"."\n";
		    }  

		/*Typography Orther*/
			// H1 font size
			if ( $h1_size = themesflat_get_opt( 'h1_size' ) ) {
				$custom .= "h1 { font-size:" . intval($h1_size) . "px; }"."\n";
			}
		    // H2 font size
		    if ( $h2_size = themesflat_get_opt( 'h2_size' ) ) {
		        $custom .= "h2 { font-size:" . intval($h2_size) . "px; }"."\n";
		    }
		    // H3 font size
		    if ( $h3_size = themesflat_get_opt( 'h3_size' ) ) {
		        $custom .= "h3 { font-size:" . intval($h3_size) . "px; }"."\n";
		    }
		    // H4 font size
		    if ( $h4_size = themesflat_get_opt( 'h4_size' ) ) {
		        $custom .= "h4 { font-size:" . intval($h4_size) . "px; }"."\n";
		    }
		    // H5 font size
		    if ( $h5_size = themesflat_get_opt( 'h5_size' ) ) {
		        $custom .= "h5 { font-size:" . intval($h5_size) . "px; }"."\n";
		    }
		    // H6 font size
		    if ( $h6_size = themesflat_get_opt( 'h6_size' ) ) {
		        $custom .= "h6 { font-size:" . intval($h6_size) . "px; }"."\n";
		    }
		    // Widget title font size
		    if ( $title_widget_font = themesflat_get_opt( 'title_widget_font' ) ) {
		        $custom .= ".widget .widget-title { font-size:" . intval($title_widget_font) . "px; }"."\n";
		    } 
		    // Comment title font size
		    if ( $title_comment_font = themesflat_get_opt( 'title_comment_font' ) ) {
		        $custom .= ".comment-title, .comment-reply-title, .comment-reply-title a { font-size:" . intval($title_comment_font) . "px; }"."\n";
		    }

		    $blockquote_fonts_ = themesflat_get_json('blockquote_font_name');
			$blockquote_fonts_family = $blockquote_fonts_['family'];
			$blockquote_fonts_size = $blockquote_fonts_['size'];
			$blockquote_line_height = $blockquote_fonts_['line_height'];
			$blockquote_style = themesflat_font_style( $blockquote_fonts_['style'] );
			$blockquote_font_weight = $blockquote_style[0];
			$blockquote_font_style = $blockquote_style[1]; 
			// blockquote font family
			if ( $blockquote_fonts_family != '') {
				$custom .= "blockquote { font-family:" . $blockquote_fonts_family . ";}"."\n";
			}
			// blockquote font weight
			if ( $blockquote_font_weight != '' ) {
				$custom .= "blockquote { font-weight:" . $blockquote_font_weight . ";}"."\n";
			}
			// blockquote font style
			if ( isset( $blockquote_font_style )) {
		        $custom .= "blockquote  { font-style:" . $blockquote_font_style . "; }"."\n";  
			}
		    // blockquote font size
		    if ( $blockquote_fonts_size != '' ) {
		        $custom .= "blockquote { font-size:" . intval($blockquote_fonts_size) . "px;}"."\n";
		    }
		    // blockquote line height
		    if ( $blockquote_line_height != '' ) {
		        $custom .= "blockquote { line-height:" . $blockquote_line_height . ";}"."\n";
		    } 
		     	

	//GROUP HEADER
	    $header_backgroundcolor = themesflat_get_opt( 'header_backgroundcolor');
		if ( $header_backgroundcolor !='' ) {
			$custom .= "#header { background:" . esc_attr($header_backgroundcolor) . ";}"."\n";
		}		

		$mainnav_color = themesflat_get_opt( 'mainnav_color');
		if ( $mainnav_color !='' ) {
			$custom .= "#mainnav > ul > li > a, .header-modal-menu-left-btn .text, header .flat-information li, header .flat-information li a, #header .show-search a { color:" . esc_attr($mainnav_color) . ";}"."\n";
			$custom .= ".header-modal-menu-left-btn .modal-menu-left-btn .line { background:" . esc_attr($mainnav_color) . ";}"."\n";
		}

		$mainnav_hover_color = themesflat_get_opt( 'mainnav_hover_color');
		if ( $mainnav_hover_color !='' ) {
			$custom .= "#mainnav > ul > li > a:hover, #mainnav > ul > li.current-menu-ancestor > a, #mainnav > ul > li.current-menu-parent > a { color:" . esc_attr($mainnav_hover_color) . ";}"."\n";
			$custom .= "#mainnav > ul > li > a:after { background:" . esc_attr($mainnav_hover_color) . ";}"."\n";
		}

		//Subnav a color
		$sub_nav_color = themesflat_get_opt( 'sub_nav_color');
		if ( $sub_nav_color !='' ) {
			$custom .= "#mainnav ul.sub-menu > li > a, #mainnav li.megamenu > ul.sub-menu > .menu-item-has-children > a { color:" . esc_attr( $sub_nav_color ) . ";}"."\n";
		}
		//Subnav background color
		$sub_nav_background = themesflat_get_opt( 'sub_nav_background');
		if ( $sub_nav_background !='' ) {
			$custom .= "#mainnav ul.sub-menu { background-color:" . esc_attr( $sub_nav_background ) . ";}"."\n";			
		}

		//sub_nav_color_hover
		$sub_nav_color_hover = themesflat_get_opt( 'sub_nav_color_hover');
		if ( $sub_nav_color_hover !='' ) {
			$custom .= "#mainnav ul.sub-menu > li > a:hover, #mainnav ul.sub-menu > li.current-menu-item > a, #mainnav-mobi ul li.current-menu-item > a, #mainnav-mobi ul li.current-menu-ancestor > a, #mainnav ul.sub-menu > li.current-menu-ancestor > a, #mainnav-mobi ul li .current-menu-item > a, #mainnav-mobi ul li.current-menu-item .btn-submenu:before, #mainnav-mobi ul li .current-menu-item .btn-submenu:before { color:" . esc_attr( $sub_nav_color_hover ) . ";}"."\n";
		}
		//sub_nav_background_hover
		$sub_nav_background_hover = themesflat_get_opt( 'sub_nav_background_hover');
		if ( $sub_nav_background_hover !='' ) {
			$custom .= "#mainnav ul.sub-menu > li > a:before { background-color:" . esc_attr($sub_nav_background_hover) . ";}"."\n";
		}
		//sub_nav_border_color
		$sub_nav_border_color = themesflat_get_opt( 'sub_nav_border_color');
		if ( $sub_nav_border_color !='' ) {
			$custom .= "#mainnav ul.sub-menu > li { border-top-color:" . esc_attr($sub_nav_border_color) . ";}"."\n";
		}

		$logo_controls = themesflat_decode(themesflat_get_opt('logo_controls'));
	    themesflat_render_box_position("#header #logo",$logo_controls);

	    $logo_width = themesflat_get_opt( 'logo_width');
		if ( $mainnav_hover_color !='' ) {
			$custom .= "#header #logo a, .modal-menu__panel-footer .logo-panel a { max-width:" . esc_attr($logo_width) . "px;}"."\n";
		}
		if ( $mainnav_hover_color !='' ) {
			$custom .= "#header #logo a { width:" . esc_attr($logo_width) . "px;}"."\n";
		}

		//Header sticky Background
		$header_backgroundcolor_sticky = themesflat_get_opt( 'header_backgroundcolor_sticky');
		if ( $header_backgroundcolor_sticky !='' ) {		
			$custom .= ".themesflat_header_wrap.header-sticky #header { background:" . esc_attr( $header_backgroundcolor_sticky ) . ";}"."\n";
		}
		//Header sticky color
		$header_color_sticky = themesflat_get_opt( 'header_color_sticky');
		if ( $header_color_sticky !='' ) {	
			$custom .= ".header-sticky #mainnav > ul > li > a, .header-sticky .header-modal-menu-left-btn .text, .header-sticky header .flat-information li, .header-sticky header .flat-information li a, .header-sticky #header .show-search a, .header-sticky #mainnav > ul > li.current-menu-item > a, .header-sticky #mainnav > ul > li a:hover { color:" . esc_attr( $header_color_sticky ) . ";}"."\n";
			$custom .= ".header-sticky .header-modal-menu-left-btn .modal-menu-left-btn .line, .header-sticky .btn-menu:before, .header-sticky .btn-menu:after, .header-sticky .btn-menu span { background:" . esc_attr( $header_color_sticky ) . ";}"."\n";
		}
		//Header sticky color active
		$header_color_sticky_hover = themesflat_get_opt( 'header_color_sticky_hover');
		if ( $header_color_sticky_hover !='' ) {
			$custom .= ".header-sticky #mainnav > ul > li > a.active, .header-sticky #mainnav > ul > li.current-menu-item > a, .header-sticky #mainnav > ul > li > a:hover, .header-sticky #mainnav > ul > li.current-menu-item > a, .header-sticky #mainnav > ul > li.current-menu-ancestor > a, .header-sticky #mainnav > ul > li.current-menu-parent > a { color:" . esc_attr( $header_color_sticky_hover ) . ";}"."\n";
		}

	//GROUP FOOTER
		$footer_controls = themesflat_decode(themesflat_get_opt('footer_controls'));
	    themesflat_render_box_position("#footer",$footer_controls);

	    $footer_background_color = themesflat_get_opt( 'footer_background_color');
		if ( $footer_background_color !='' ) {
			$custom .= "#footer { background:" . esc_attr($footer_background_color) . ";}"."\n";
		}

		$footer_title_widget_color = themesflat_get_opt( 'footer_title_widget_color');
		if ( $footer_title_widget_color !='' ) {
			$custom .= "#footer .widget-title { color:" . esc_attr($footer_title_widget_color) . ";}"."\n";
			$custom .= "#footer .widget-title:after { background:" . esc_attr($footer_title_widget_color) . ";}"."\n";
		}

		$footer_text_color = themesflat_get_opt( 'footer_text_color');
		if ( $footer_text_color !='' ) {
			$custom .= "#footer, #footer a { color:" . esc_attr($footer_text_color) . ";}"."\n";
		}

		$footer_text_color_hover = themesflat_get_opt( 'footer_text_color_hover');
		if ( $footer_text_color_hover !='' ) {
			$custom .= "#footer a:hover { color:" . esc_attr($footer_text_color_hover) . ";}"."\n";
			$custom .= "footer .widget.widget_nav_menu .menu > li > a:before, footer .widget.widget_product_categories ul > li > a:before, footer .widget.widget_categories ul > li > a:before, footer .widget.widget_pages ul > li > a:before, footer .widget.widget_archive ul > li > a:before, footer .widget.widget_meta ul > li > a:before { background:" . esc_attr($footer_text_color_hover) . ";}"."\n";
		}

		$bottom_background_color = themesflat_get_opt( 'bottom_background_color');
		if ( $bottom_background_color !='' ) {
			$custom .= ".bottom { background:" . esc_attr($bottom_background_color) . ";}"."\n";
		}

		$bottom_text_color = themesflat_get_opt( 'bottom_text_color');
		if ( $bottom_text_color !='' ) {
			$custom .= ".bottom, .bottom a { color:" . esc_attr($bottom_text_color) . ";}"."\n";
		}

		$bottom_link_color = themesflat_get_opt( 'bottom_link_color');
		if ( $bottom_link_color !='' ) {
			$custom .= ".bottom .copyright a { color:" . esc_attr($bottom_link_color) . ";}"."\n";
		}

		$bottom_text_color_hover = themesflat_get_opt( 'bottom_text_color_hover');
		if ( $bottom_text_color_hover !='' ) {
			$custom .= ".bottom a:hover, .bottom .copyright a:hover { color:" . esc_attr($bottom_text_color_hover) . ";}"."\n";
			$custom .= ".bottom .copyright a:before { background:" . esc_attr($bottom_text_color_hover) . ";}"."\n";
		}
		
	//GROUP ACTION BOX
		$action_box_background_image = themesflat_get_opt('action_box_background_image');
	    if ( $action_box_background_image !='' ) {
		    $custom .= '.themesflat-action-box {background-image: url('.$action_box_background_image.');}'."\n";  
		}		
		// Action Box Background Color
		$action_box_background_color = themesflat_get_opt( 'action_box_background_color');
		if ( $action_box_background_color !='' ) {
			$custom .= ".themesflat-action-box .overlay { background-color:" . esc_attr($action_box_background_color) . ";}"."\n";
		}
		// Action Box Heading Color
		$action_box_heading_color = themesflat_get_opt( 'action_box_heading_color');
		if ( $action_box_heading_color !='' ) {
			$custom .= ".themesflat-action-box .heading, .themesflat-action-box .heading-wrap > h2, .themesflat-action-box .heading-wrap > h3, .themesflat-action-box .heading-wrap > h4, .themesflat-action-box .heading-wrap > h5, .themesflat-action-box .heading-wrap > h6 { color:" . esc_attr($action_box_heading_color) . ";}"."\n";
		}
		// Action Box Text Color
		$action_box_text_color = themesflat_get_opt( 'action_box_text_color');
		if ( $action_box_text_color !='' ) {
			$custom .= ".themesflat-action-box, .themesflat-action-box heading-wrap *, .themesflat-action-box h1, .themesflat-action-box h2, .themesflat-action-box h3, .themesflat-action-box h3, .themesflat-action-box h4, .themesflat-action-box h5, .themesflat-action-box h5, .themesflat-action-box p { color:" . esc_attr($action_box_text_color) . ";}"."\n";
		}
		// Action Box button Text Color
		$action_box_button_text_color = themesflat_get_opt( 'action_box_button_text_color');
		if ( $action_box_button_text_color !='' ) {
			$custom .= ".themesflat-action-box .themesflat-button, .themesflat-action-box .themesflat-button:hover { color:" . esc_attr($action_box_button_text_color) . ";}"."\n";
		}

	//GROUP PARTNER BOX
		$partner_box_controls = themesflat_decode(themesflat_get_opt('partner_box_controls'));
	    themesflat_render_box_position(".themesflat-partner-box",$partner_box_controls);
	
    //GROUP PAGE TITLE
		$page_title_controls = themesflat_decode(themesflat_get_opt('page_title_controls'));
	    themesflat_render_box_position(".page-title",$page_title_controls);

	    //  Page Title Opacity
		$page_title_background_color_primary = themesflat_get_opt( 'page_title_background_color_primary');
		if ( $page_title_background_color_primary == '' ) { $page_title_background_color_primary = '#eb6d2f'; }
	    $page_title_background_color_second = themesflat_get_opt( 'page_title_background_color_second' );
    	if ( $page_title_background_color_second == '' ) { $page_title_background_color_second = '#fdd906';}
		$custom .= ".page-title .overlay { background-image: linear-gradient(90deg,". esc_attr($page_title_background_color_primary) ." 0%, ". esc_attr($page_title_background_color_second) ." 100%);}"."\n";

		$page_title_background_color_opacity = themesflat_get_opt( 'page_title_background_color_opacity');
		if ( $page_title_background_color_opacity !='' ) {
			$custom .= ".page-title .overlay { opacity:" . esc_attr($page_title_background_color_opacity) . "%; filter:alpha(opacity=" . esc_attr($page_title_background_color_opacity) . "); }"."\n";
		}
		
		$page_title_img = themesflat_get_opt('page_title_background_image');
	    if ( $page_title_img !='' ) { 
		    $custom .= '.page-title {background-image: url('.$page_title_img.');}'."\n";  
		}				    

		$custom .= ".page-title h1 {color:" . themesflat_get_opt('page_title_text_color') . "!important;}"."\n";
		$custom .= ".breadcrumbs span, .breadcrumbs span a, .breadcrumbs a, .breadcrumbs span i, .breadcrumbs span.trail-browse i {color:" . themesflat_get_opt('page_title_link_color') . ";}"."\n";
		$custom .= ".page-title.parallax h1:after, .page-title.video h1:after {background:" . themesflat_get_opt('page_title_link_color') . ";}"."\n";		

	//GROUP BODY
		// Body color
		$body_text = themesflat_get_opt( 'body_text_color' );
		if ($body_text !='') {
			$custom .= "body, input, select, textarea, a { color:" . esc_attr($body_text) . "}"."\n";
			$custom .= ".themesflat-portfolio .item .category-post a:hover,ul.iconlist .list-title .testimonial-content blockquote,.testimonial-content .author-info,.themesflat_counter.style2 .themesflat_counter-content-right,.themesflat_counter.style2 .themesflat_counter-content-left, .page-links a:hover, .page-links a:focus,.widget_search .search-form input[type=search],.entry-meta ul,.entry-meta ul.meta-right,.entry-footer strong, .themesflat_button_container .themesflat-button.no-background, .woocommerce div.product .woocommerce-tabs ul.tabs li a, .portfolio-single .entry-content, article .entry-meta ul li a, .blog-single .entry-footer .tags-links a, .navigation.posts-navigation .nav-links li a .meta-nav, .comments-area ol.comment-list article .comment_content .comement_reply a, .flat-language ul.unstyled-child li a, .themesflat-price-product del, .woocommerce div.product p.price, .woocommerce div.product span.price, .woocommerce .products .product span.price, .woocommerce .products .product span.price del bdi { color:" . esc_attr($body_text) . "}"."\n";
			//border bodycolor
			$custom .= ".widget .widget-title:after, .widget .widget-title:before,ul.iconlist li.circle:before { background-color:" . esc_attr($body_text) . "}"."\n";
			$custom .= ".page-links a:hover, .page-links a:focus, .page-links > span { border-color:" . esc_attr($body_text) . "}"."\n";
		}

		// background bodycolor
	    if ( themesflat_get_opt ('body_background_color') !='' ) {
			$custom .= "body, .page-wrap, .boxed .themesflat-boxed { background-color:" . esc_attr(themesflat_get_opt ('body_background_color')) ." ; } "."\n";
	    }
	
	//GROUP COLOR
	    // Accent color
	    $accent_color = themesflat_get_opt( 'accent_color' );
    	if ( $accent_color !='' ) {
			//color
	    	$custom .= "h1, h2, h3, h4, h5, h6, .blog-list article .post-categories a:hover, article .post-categories a:hover, .widget.widget-recent-news li .text h6 a, .widget.widget_latest_news li .text h6 a, .navigation a, .pagination > span, .navigation.paging-navigation span, .page-links a, .page-links > span, .search-form .search-submit i, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce-info, .woocommerce-message, .breadcrumbs span a:hover, .breadcrumbs a:hover, a:hover, .themesflat-top ul.themesflat-socials li a:hover, article .entry-title a:hover, article .entry-meta ul li a:hover, .footer-widgets .widget.widget_nav_menu ul li a:hover:before, .single .main-single .administrator .admin-content h5 a, .comments-area ol.comment-list article .comment_content .comement_reply a:hover, .blog-grid-simple article .themesflat-button-container > a, .blog-grid-simple article .entry-title:before, .comments-area ol.comment-list article .comment_content .comment_meta .comment_time, .portfolios-box.style-1 .portfolios-text .title a:hover, .portfolios-box.style-1 .portfolios-text .category a:hover, .portfolios-box.style-3 .portfolios-text .title a:hover, .portfolios-box.style-3 .portfolios-text .category a:hover, .primary-list li i, .widget.widget-recent-news li .text h6 a:hover, .widget.widget_latest_news li .text h6 a:hover, article .entry-meta ul li a:hover, .blog-single .entry-footer .themesflat-socials li a:hover, .navigation.posts-navigation .nav-links li a:hover, .related-post article .entry-meta ul li a:hover, .flat-language ul.unstyled-child li a:hover, .blog-content-inner .item article .category a:hover, .blog-content-inner .item article .entry-meta a:hover, tparrows:hover:before, .header-absolute .header.header-sticky #mainnav > ul > li.current-menu-ancestor > a, .widget_calendar table > tfoot #prev a:hover:before, .widget_calendar table > tfoot #next a:hover:before, .blog-grid article .entry-meta ul li .author a, #mainnav > ul > li.current-menu-item > a, .comment-list .comment_author a:hover, .widget.widget-recent-news li .text .post-date, .widget.widget_latest_news li .text .post-date, .video-video-box-button-sm button, .themesflat-top .content-right .flat-information li > i, .themesflat-price-product ins, .woocommerce div.product p.price ins, .woocommerce div.product span.price ins, .footer-widgets .widget ul.contact-info li i, .mini-cart-header .icon-cart:before, .mini-cart .icon-cart:before, .themesflat-wrap-product .product .woocommerce-loop-product__title:hover, #mainnav > ul > li.current-menu-item > a, .social-share-article ul li a:hover, .themesflat-services-taxonomy .services-post .title a:hover, .themesflat-portfolios-taxonomy .portfolios-post .title a:hover, .themesflat-services-taxonomy .services-post .post-meta li a:hover, .themesflat-portfolios-taxonomy .portfolios-post .post-meta li a:hover, .woocommerce .single_variation_wrap .woocommerce-variation-price .price, .woocommerce .products .product p.price ins, .woocommerce .products .product span.price ins, .error-404-text h4 span, .comment-reply-title a#cancel-comment-reply-link, .woocommerce .products .product span.price bdi, .themesflat-price-product { color:" . esc_attr($accent_color) . ";}"."\n";

	    	$custom .= ".comment-list .comment_author a { color:" . esc_attr($accent_color) . " !important;}"."\n";

	    	$custom .= "mark, ins, .go-top:hover { background:" . esc_attr($accent_color) . ";}"."\n";

	    	$custom .= "textarea:focus, input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"datetime\"]:focus, input[type=\"datetime-local\"]:focus, input[type=\"date\"]:focus, input[type=\"month\"]:focus, input[type=\"time\"]:focus, input[type=\"week\"]:focus, input[type=\"number\"]:focus, input[type=\"email\"]:focus, input[type=\"url\"]:focus, input[type=\"search\"]:focus, input[type=\"tel\"]:focus, input[type=\"color\"]:focus { border-color:" . esc_attr($accent_color) . ";}"."\n";
	    }  
		// Primary color
	    $primary_color = themesflat_get_opt( 'primary_color' );
	    if ( $primary_color !='' ) { 
	    	$custom .= "#mainnav-secondary .menu li > a:hover, #mainnav-secondary .menu li > a:hover ~ span, #mainnav-secondary .menu li.current-menu-item > a, #mainnav-secondary .menu li.current-menu-item > span, #mainnav-secondary .menu li.current-menu-ancestor > a, #mainnav-secondary .menu li.current-menu-ancestor > span, a:hover, .sidebar .widget_recent_comments .recentcomments > a:hover, .sidebar .widget ul li a[aria-current]:not([aria-current=\"false\"]), #footer .widget ul li a[aria-current]:not([aria-current=\"false\"]), .portfolio-filter li.active a, .services-filter li.active a, .portfolio-filter li a:hover, .services-filter li a:hover, .themesflat-portfolios-taxonomy .portfolios-post .title a:hover, .themesflat-services-taxonomy .services-post .post-meta li a:hover, .themesflat-portfolios-taxonomy .portfolios-post .post-meta li a:hover, .tf-portfolio-wrap .tf-portfolio .portfolios-post .title a:hover, #mainnav_canvas .current-menu-ancestor > a, #mainnav_canvas .current-menu-item > a, .modal-menu__panel-body .widget.widget-recent-news .text h6 a:hover, .modal-menu__panel-body .widget.widget_latest_news .text h6 a:hover, .comments-area ol.comment-list article .comment_content .comement_reply:hover a, .comments-area ol.comment-list article .comment_content .comement_reply:hover i { color:" . esc_attr($primary_color) . ";}"."\n";

	    	$custom .= "button:hover, input[type=\"button\"]:hover, input[type=\"reset\"]:hover, input[type=\"submit\"]:hover { background-color:" . esc_attr($primary_color) . ";}"."\n";	    		    	

	    	$custom .= ".modal-menu__panel-body .search-form input[type=\"search\"]:focus, .draw-border a:hover::before, .draw-border a:hover::after, .themesflat-button:hover::before, .themesflat-button:hover::after, #commentform .wrap-input-submit:hover::before, #commentform .wrap-input-submit:hover::after, .draw-border a:hover::before, .draw-border a:hover::after, .themesflat-button:hover::before, .themesflat-button:hover::after, #commentform .wrap-input-submit:hover::before, #commentform .wrap-input-submit:hover::after, .draw-border button:hover > span::before, .draw-border button:hover > span::after { border-color:" . esc_attr($primary_color) . " !important;}"."\n";

			$custom .= ' :root { --theme-primary-color:' . esc_attr($primary_color) . " }"."\n";

	    }	

	    if ( $primary_color == '' ) {
	    	$primary_color = '#eb6d2f';
	    }
	    // Second color
	    $second_color = themesflat_get_opt( 'second_color' );
    	if ( $second_color =='' ) {
			//color
	    	$second_color = '#fdd906';
	    }

	    $custom .= ".draw-border.second-color a:hover, .draw-border.second-color button:hover { color:" . esc_attr($second_color) . "!important;}"."\n";
	    $custom .= ".draw-border.second-color a:hover::before, .draw-border.second-color a:hover::after, .draw-border.second-color button:hover > span::before, .draw-border.second-color button:hover > span::after { border-color:" . esc_attr($second_color) . " !important;}"."\n";

	    $custom .= ".double-bounce3, .double-bounce4, .navigation.paging-navigation .current, .navigation.paging-navigation a:hover, .navigation.paging-navigation a.next:hover, .navigation.paging-navigation span:before, .navigation.paging-navigation a:before, .tf-posts-wrap .pagination span:before, .tf-posts-wrap .pagination a:before, .draw-border a::after, .themesflat-button::after, #commentform .wrap-input-submit::after, .draw-border button > span::after, .tf-testimonial-carousel.style-2 .item .bg-quote:before { background-image: linear-gradient(". esc_attr($primary_color) .", ". esc_attr($second_color) .");}"."\n";

	    $custom .= ".widget .widget-title:after, .widget.widget_tag_cloud .tagcloud a:hover, .widget_calendar table > thead, .widget_calendar table #today:before, .go-top:before, footer .widget.widget_nav_menu .menu > li > a:before, footer .widget.widget_product_categories ul > li > a:before, footer .widget.widget_categories ul > li > a:before, footer .widget.widget_pages ul > li > a:before, footer .widget.widget_archive ul > li > a:before, footer .widget.widget_meta ul > li > a:before, .modal-menu__body .modal-menu__close { background-image: linear-gradient(90deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";

	    $custom .= ".bottom .bg_copyright, .tf-team .image-team .social { background-image: linear-gradient(90deg,". esc_attr($second_color) ." 0%, ". esc_attr($primary_color) ." 100%);}"."\n";

	    $custom .= ".search-form .search-submit i, blockquote, blockquote *, article .entry-title a:hover , article .entry-title a:hover sup, .comment-reply-title a#cancel-comment-reply-link:hover, blockquote cite, blockquote small, blockquote footer, blockquote dfn, blockquote cite, blockquote em, blockquote i, .socials-panel .themesflat-socials li a:hover, .tf-posts-wrap .tf-posts .blog-post .title a:hover { background-image: linear-gradient(90deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%); -webkit-background-clip: text;-moz-background-clip: text;background-clip: text;-webkit-text-fill-color:transparent;color:transparent;}"."\n";

	    $custom .= ".elementor-widget-flex-slider .wrap-menu > i, .flexslider .flex-direction-nav a:hover i, .tf-carousel-box .owl-nav .owl-prev:hover i, .tf-carousel-box .owl-nav .owl-next:hover i, .number-gradient .elementor-counter-number-wrapper .elementor-counter-number, .number-gradient .elementor-counter-number-wrapper .elementor-counter-number-suffix, .number-gradient .elementor-counter-number-wrapper .elementor-counter-number-prefix, .text-gradient .elementor-widget-container h1, .text-gradient .elementor-widget-container h2, .text-gradient .elementor-widget-container h3, .text-gradient .elementor-widget-container h4, .text-gradient .elementor-widget-container h5, .text-gradient .elementor-widget-container h6, .text-gradient .elementor-widget-container p, .tf-widget-portfolio-wrap .portfolio-filter li.active a, .tf-tabs .tf-tabnav ul > li.active .tab-title-text, .tf-tabs .tf-tabnav ul > li.set-active-tab .tab-title-text, article .entry-meta ul li, .post-meta li, .navigation.posts-navigation .nav-links li a:hover .meta-nav, .blog-list article .entry-meta ul li i { background-image: linear-gradient(180deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%); -webkit-background-clip: text;-moz-background-clip: text;background-clip: text;-webkit-text-fill-color:transparent;color:transparent;}"."\n";

	    $custom .= "blockquote { border-image-source: linear-gradient(90deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";	    

	    /* border */
    	$custom .= ".tf-carousel-box .owl-nav .owl-prev:hover .fa-chevron-left:before, .tf-carousel-box .owl-nav .owl-next:hover .fa-chevron-right:before, .tf-carousel-box .owl-nav .owl-next .fa-chevron-right:before, .flexslider .flex-direction-nav .flex-prev:hover i:before, .flexslider .flex-direction-nav .flex-next:hover i:before, .flexslider .flex-direction-nav .flex-next i:before, .tf-testimonial-carousel .owl-nav .owl-prev:hover .fa-chevron-left:before, .tf-testimonial-carousel .owl-nav .owl-next:hover .fa-chevron-right:before, .tf-testimonial-carousel .owl-nav .owl-next .fa-chevron-right:before, .tf-testimonial-carousel .owl-nav .owl-next .fa-chevron-right:before, .tf-testimonial-carousel .owl-nav .owl-prev:hover .fa-chevron-left:before { border-image-source: linear-gradient(180deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";

	    /* title section */
	    $custom .= ".tf-title-section .text-gradient, .elementor-widget-flex-slider .social a:first-of-type { background-image: linear-gradient(180deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%); -webkit-background-clip: text;-moz-background-clip: text;background-clip: text;-webkit-text-fill-color:transparent;color:transparent;}"."\n";

	    $custom .= ".icon-gradient i { background-image: linear-gradient(0deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%); -webkit-background-clip: text;-moz-background-clip: text;background-clip: text;-webkit-text-fill-color:transparent;color:transparent;}"."\n";

	   	$custom .= ".tf-title-section .title-section .image .separator-vertical, .tf-posts-wrap.grid-styles-4 .blog-post .featured-post .overlay .wrap-icon, .themesflat-portfolios-taxonomy .portfolios-post .featured-post .overlay, .tf-portfolio-wrap .tf-portfolio .portfolios-post .featured-post .overlay, .header-style3 .themesflat-button:after { background-image: linear-gradient(180deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";

	   	$custom .= ".progress-gradient .elementor-progress-bar, .customizable-carousel .owl-prev:hover, .customizable-carousel .owl-next:hover { background-image: linear-gradient(90deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";

	   	$custom .= ".single-portfolios .elementor-image-carousel-wrapper .elementor-swiper-button, .themesflat-services-taxonomy .services-post .featured-post .overlay .inner-overlay { background: linear-gradient(180deg,". esc_attr($primary_color) ." 0%, ". esc_attr($second_color) ." 100%);}"."\n";

	   	$custom .= ".themesflat-button-gradient, .tf-ele-btn-gradient a, .themesflat-button, .themesflat-button-gradient-icon a .elementor-button-icon:before, .wp-block-search .wp-block-search__button, .themesflat-services-taxonomy .services-post .tf-button { background: linear-gradient(0deg, ". esc_attr($primary_color) ." , ". esc_attr($second_color) .", ". esc_attr($second_color) .",  ". esc_attr($primary_color) ." ); background-size: 200% 200%; background-position: 0% 0%;}"."\n";

	$custom = apply_filters('themesflat/render/style',$custom);
	wp_add_inline_style( 'themesflat-inline-css', $custom );

}

add_action( 'wp_enqueue_scripts', 'themesflat_custom_styles' );