/**
* flexslider_img_woo
* quantity_adjust
*/

;(function($) {

    'use strict'

    var flexslider_img_woo = function() { 
        if ($('.themesflat-slider .slides').data('gallery_image_product') === true) {
            $(window).load(function() {
                $('.themesflat-slider').flexslider({
                    animation: "slide",
                    controlNav: "thumbnails",
                    nextText: '<i class="fa fa-angle-right" aria-hidden="true"></i>',
                    prevText: '<i class="fa fa-angle-left" aria-hidden="true"></i>'
                });
            });
        } 
         
    };

    var quantity_adjust = function() {        
        $('.plus').on('click', function () {
            $(this).parents('.quantity').find('input[type="number"]').get(0).stepUp();
        });
        $('.minus').on('click', function () {
            $(this).parents('.quantity').find('input[type="number"]').get(0).stepDown();
        });
    }

    var shopView = function(){
        if ($(document.body).hasClass('shop-view-list')) {
            $('.item-product').each(function() {
                var $this = $(this),
                qview = $this.find('.btn-qview');
                $this.find('.featured-post .entry-image').after(qview);
            });
        }
        $('.hm-filter .menu-tab li').on('click', function(e){
            e.preventDefault();
            var $this = $(this),
                view = $this.data('view');
            if ($this.hasClass('active')) {
                return;
            }
            $('.hm-filter .menu-tab li').removeClass('active');
            $this.addClass('active');
            var addCls = $('.archive-products').find('.shop-' + view);
            addCls.addClass('active');
            $(document.body).removeClass('shop-view-grid shop-view-list').addClass('shop-view-' + view);
            $('.item-product').each(function() {
                var $this = $(this),
                    qview = $this.find('.btn-qview');
                if (view == 'list') {
                    $this.find('.featured-post .entry-image').after(qview);
                }else{
                    if ($('.tf-st-1').hasClass('st2')) {
                        $this.find('.content-product .button').after(qview);
                    }else{
                        $this.find('.content-product .info-product').after(qview);
                    }
                }
            });
        });

        $('.number-showing').on('change', function(){
            var get_select = $(this).children("option:selected").val();
            window.location.href = get_select; 
        });
    };

    var addedToCartNotice = function ($message, $content, single, className) {
        if (the_ajax_script.added_to_cart_notice != '1' || !$.fn.notify ) {
            return;
        }
        var check_icon = '<i class="fal fa-check-circle"></i>';

        if (single) {
            $message = '<div class="message-box">' + $message + '</div>';
        }
        if (className == 'success') {
            check_icon = '<i class="fal fa-check-circle"></i>';
        }else if(className == 'error'){
            check_icon =  '<i class="fal fa-exclamation-circle"></i>';
        }else if(className == 'infor'){
            check_icon =  '<i class="fal fa-info-circle"></i>';
        }

        $.notify.addStyle( 'xian', {
            html: '<div><span class="svg-icon icon-success size-normal message-icon">' + check_icon + '</span><span data-notify-text/>' + $message + '</div>'
        });
        $.notify( $content, {
            position: 'top right',
            autoHideDelay: 2000,
            className: className,
            style: 'xian',
            showAnimation: 'fadeIn',
            hideAnimation: 'fadeOut',
        } );
    };

    var addedNoticecCatalog = function(){
        $('.ajax_add_to_cart').on('click', function(e){
            $('.cart-open').trigger("click");
            if ($('#mini-cart').find('.empty-cart').length > 0) {
                $('#mini-cart').find('.menu-cart-content').addClass('loading loadempty');
            }else{
                $('#mini-cart').find('.menu-cart-content').addClass('loading loadnext');
            }
        });
        $(document.body).on('added_to_cart',function(e,data){
            addMiniCart();
            var $message = data["added_product"]+' has been added to your cart.',
            className = 'success';
            if ($message) {
                setTimeout(function () {
                    addedToCartNotice($message,' ',true,className);
                 }, 300);
            }
            setTimeout(function () {
                $(document.body).find('.add_to_cart_button').removeClass('added');
            }, 2000);
        });
    }

    // Product Categories
    var productCategoriesWidget = function () {
        var $categories = $('.flat_widget_product_categories');
        if ($categories.length <= 0) {
            return;
        }
        console.log('thanh');
        $categories.find('ul.children').closest('li').prepend('<span class="cat-menu-close"><i class="fal fa-angle-right"></i> </span>');
        $categories.find('ul.children').hide();
        $categories.find('li.current-cat-parent, li.current-cat, li.current-cat-ancestor').addClass('opened').children('.children').show();

        $categories.on('click', '.cat-menu-close', function (e) {
            e.preventDefault();
            $(this).closest('li').children('.children').slideToggle();
            $(this).closest('li').toggleClass('opened');
        })
    };

    var popupQuickview = function(){
        $("#flatModal").modal({
            backdrop  : true
        });
        const body = $('body');
        const close = function() {
            body.css('overflow', 'auto');
            body.css('paddingRight', '');
        };
        $('#flatModal, .modal-body .close').on('click', function() {
            close();
        });
    }

    // Add to cart ajax
    var addToCartAjax = function () {
        if (the_ajax_script.add_to_cart_ajax == '0') {
            return;
        }

        $(document.body).find('form.cart').on('click', '.single_add_to_cart_button', function (e) {
            e.preventDefault();
            if ($('#mini-cart').find('.empty-cart').length > 0) {
                $('#mini-cart').find('.menu-cart-content').addClass('loading loadempty');
            }else{
                $('#mini-cart').find('.menu-cart-content').addClass('loading loadnext');
            }
            var $el = $(this),
            $cartForm = $el.closest('form.cart');
            if ($cartForm.length > 0) {
                e.preventDefault();
            } else {
                return;
            }
            $el.addClass('loading');
            var formdata = $cartForm.serializeArray(),
                currentURL = window.location.href;
            if ($el.val() != '') {
                formdata.push({name: $el.attr('name'), value: $el.val()});
            }
            $.ajax({
                url: currentURL,
                method: 'post',
                data: formdata,
               
                success: function (response) {
                    if (!response) {
                        window.location = currentURL;
                    }
                    $el.removeClass('loading');
                    $el.addClass('added');
                    setTimeout(function () {
                        $el.removeClass('added');
                    }, 2000);
                    var $message = '',
                        className = 'success';
                    if ($(response).find('.woocommerce-message').length > 0) {
                        $message = $(response).find('.woocommerce-message').html();
                        $('.cart-open').trigger("click");
                        addMiniCart();
                    }

                    if ($(response).find('.woocommerce-error').length > 0) {
                        $message = $(response).find('.woocommerce-error li').html();
                        className = 'error';
                    }

                    if ($(response).find('.woocommerce-info').length > 0) {
                        $message = $(response).find('.woocommerce-info').html();
                        className = 'info';
                    }
                    addedToCartNotice($message, ' ', true, className);
                }
            });
        });

    };

    function addMiniCart() {
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: the_ajax_script.ajaxurl,
            data: {
                action: "themesflat_addMiniCart",
            },
            success: function(response) {
                if ( ! response || response.error )
                    return;
                var fragments = response.fragments;

                // Replace fragments
                if ( fragments ) {
                    $.each( fragments, function( key, value ) {
                        $( key ).replaceWith( value );
                    });
                }
                $( document.body ).trigger( 'wc_fragments_refreshed' );
                $('#mini-cart').find('.menu-cart-content').removeClass('loading loadempty');
            }
        });
    };

    /**
     * Toggle product quick view
     */
    var productQuickView = function () {
        var $modal = $('#flatModal'),
            $product = $modal.find('.modal-detail');

       $('.flat-product-quick-view,.flat-quick-view-slide').on('click', function(e){
            e.preventDefault();
            var $this = $(this),
                id = $this.data('id');
            if(id == undefined){
                id = $this.attr('id');
            }
            $this.addClass('loading');
            $product.hide().html('');
            $.ajax({
                url: the_ajax_script.ajaxurl,
                method: 'POST',
                dataType: 'json',
                data: {
                    action: 'themesflat_product_quick_view',
                    nonce: the_ajax_script.nonce,
                    product_id: id
                },
                success: function (response) {
                    $product.show().append(response.data);
                    var $gallery = $product.find('.woocommerce-product-gallery'),
                    $variation = $('.variations_form'),
                    $buttons = $product.find('form.cart .actions-button');
                    $gallery.removeAttr('style');
                    setTimeout(function () {
                        $gallery.imagesLoaded(function () {
                            flat_quick_view_galllery();
                            $gallery.find('.wrap-main-product-gallery a').css('cursor','default');
                        });
                        $gallery.addClass('loaded');
                    }, 600);
                    $gallery.find('.woocommerce-product-gallery__image a').on('click', function (e) {
                        e.preventDefault();
                    });

                    if (typeof wc_add_to_cart_variation_params !== 'undefined') {
                        $variation.each(function () {
                            $(this).wc_variation_form();
                        });
                    }
                    if (typeof $.fn.tawcvs_variation_swatches_form !== 'undefined') {
                        $variation.tawcvs_variation_swatches_form();
                    }
                    productVatiation();
                    popupQuickview();
                    addToCartAjax();
                    $this.removeClass('loading');
                    $this.addClass('loaded');
                    setTimeout(function () {
                        $this.removeClass('loaded');
                    }, 2000);
                },
                error: function(){
                    console.log("error");
                    $this.removeClass('loading');
                }
            });
       });
    };

    function flat_quick_view_galllery() {
        if ($('.flatModal-quick-view .wrap-main-product-gallery')[0]) {
                $('.flatModal-quick-view .wrap-main-product-gallery').slick({
                slidesToShow: 1,
                rows: 0,
                slidesToScroll: 1,
                focusOnSelect: true,
                infinite: false,
                rtl: $('body.rtl')[0] ? true : false,
                asNavFor: $('.wrap-list-thumbnail')[0] ? '.flatModal-quick-view .wrap-list-thumbnail' : '',
                prevArrow: '<span class="fal fa-angle-left"></span>',
                nextArrow: '<span class="fal fa-angle-right"></span>',
            });
            $('.flatModal-quick-view .wrap-list-thumbnail').slick({
                slidesToShow: 4,
                rows: 0,
                slidesToScroll: 1,
                focusOnSelect: true,
                infinite: false,
                rtl: $('body.rtl')[0] ? true : false,
                asNavFor: '.flatModal-quick-view .wrap-main-product-gallery',
                prevArrow: '<span class="fal fa-angle-left"></span>',
                nextArrow: '<span class="fal fa-angle-right"></span>',
            });
        }
    }
    /**
     * Change product quantity
     */
    var productThumbnail = function () {
        var $gallery = $('.woocommerce-product-gallery');
        var $thumbnail = $gallery.find('.flex-control-thumbs');
        $(window).on('load', function () {
            $('.woocommerce-product-gallery').find('.woocommerce-product-gallery__image').each(function () {
                if ($(this).find('img').hasClass('lazy')) {
                    var src = $(this).find('img').data('original');
                    $(this).find('img').attr('src', src);
                }
            })
        });

        if ($(document.body).hasClass('mobile-version')) {
            return;
        }
        $gallery.imagesLoaded(function () {
            setTimeout(function () {
                if ($thumbnail.length < 1) {
                    return;
                }
                var columns = $gallery.data('columns');
                var count = $thumbnail.find('li').length;
                if (count > columns) {
                    $thumbnail.not('.slick-initialized').slick({
                        slidesToShow: columns,
                        slidesToScroll: 1,
                        focusOnSelect: true,
                        vertical: false,
                        infinite: false,
                        prevArrow: '<span class="fal fa-angle-left"></span>',
                        nextArrow: '<span class="fal fa-angle-right"></span>',
                        responsive: [
                        {
                            breakpoint: 768,
                            settings: {
                                slidesToShow: 4
                            }
                        },
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 3
                            }
                        }
                        ]
                    });

                    $thumbnail.find('li.slick-current').trigger('click');
                   
                } else {
                    $thumbnail.addClass('no-slick');
                }
            }, 100);

        });
    };

    var productVatiation = function () {
        $(document.body).on('tawcvs_initialized', function () {
            $('.variations_form').unbind('tawcvs_no_matching_variations');
            $('.variations_form').on('tawcvs_no_matching_variations', function (event, $el) {
                event.preventDefault();

                $('.variations_form').find('.woocommerce-variation.single_variation').show();
                if (typeof wc_add_to_cart_variation_params !== 'undefined') {
                    $('.variations_form').find('.single_variation').slideDown(200).html('<p>' + wc_add_to_cart_variation_params.i18n_no_matching_variations_text + '</p>');
                }
            });
        });

        $('.variations_form').on('found_variation.wc-variation-form', function (event, variation) {
            var $sku = $('.content-product').find('.meta-sku').find('.meta-value');

            if (typeof $sku.wc_set_content !== 'function') {
                return;
            }

            if (typeof $sku.wc_reset_content !== 'function') {
                return;
            }

            if (variation.sku) {
                $sku.wc_set_content(variation.sku);
            } else {
                $sku.wc_reset_content();
            }
        });
        $('.variations_form td.value').each(function () {
            var setSelect = $(this).find('option:selected').text();
            if (setSelect !='') {   
                $(this).closest('tr').find('td.label .tf-attr-value').html(setSelect);
            }

        });
        $('.variations_form td.value').on('change', 'select', function () {
            var value = $(this).find('option:selected').text();
            $(this).closest('tr').find('td.label .tf-attr-value').html(value);
        });
    };

    var instanceSearch = function () {

        if (the_ajax_script.ajax_search != '1') {
            return;
        }

        var xhr = null,
            searchCache = {},
            $form = $(document.body).find('form.products-search');

        $form.on('keyup', '.search-field', function (e) {
            var valid = false;

            if (typeof e.which == 'undefined') {
                valid = true;
            } else if (typeof e.which == 'number' && e.which > 0) {
                valid = !e.ctrlKey && !e.metaKey && !e.altKey;
            }

            if (!valid) {
                return;
            }

            if (xhr) {
                xhr.abort();
            }

            var $currentForm = $(this).closest('.products-search'),
                $search = $currentForm.find('input.search-field');

            if ($search.val().length < 2) {
                $currentForm.removeClass('searching searched actived found-products found-no-product invalid-length');
            }

            search($currentForm);
        }).on('focusout', '.search-field', function () {
            var $currentForm = $(this).closest('.products-search'),
                $search = $currentForm.find('input.search-field');
            if ($search.val().length < 2) {
                $currentForm.removeClass('searching searched actived found-products found-no-product invalid-length');
            }
        });


        $(document).on('click', function (e) {
            if (!$form.hasClass('actived')) {
                return;
            }
            var target = e.target;

            if ($(target).closest('.products-search').length < 1) {
                $form.removeClass('searching searched actived found-products found-no-product invalid-length');
            }
        });

        /**
         * Private function for search
         */
        function search($currentForm) {
            var $search = $currentForm.find('input.search-field'),
                keyword = $search.val(),
                cat = 0,
                $results = $currentForm.find('.result-search-products');


            if (keyword.trim().length < 2) {
                $currentForm.removeClass('searching found-products found-no-product').addClass('invalid-length');
                $results.hide();
                return;
            }
            $results.show();
            $results.addClass('loading');

            $currentForm.removeClass('found-products found-no-product').addClass('searching');

            var keycat = keyword + cat;

            if (keycat in searchCache) {
                var result = searchCache[keycat];

                $currentForm.removeClass('searching');

                $currentForm.addClass('found-products');

                $results.html(result.products);

                $(document.body).trigger('flat_ajax_search_request_success', [$results]);

                $currentForm.removeClass('invalid-length');

                $currentForm.addClass('searched actived');

                $results.removeClass('loading');
            } else {
                $results.find('li').remove();
                if (typeof wc_add_to_cart_params === 'undefined') {
                    xhr = $.ajax({
                        url: the_ajax_script.ajaxurl,
                        dataType: 'json',
                        method: 'post',
                        data: {
                            action: 'themesflat_search_products',
                            nonce: the_ajax_script.nonce,
                            term: keyword,
                            cat: cat,
                            search_type: the_ajax_script.search_content_type
                        },
                        success: function (response) {
                            var $products = response.data;

                            searchFormResult($currentForm, $results, $products, keycat);
                             $results.removeClass('loading');
                        }
                    });
                } else {
                    var data = {
                            'term': keyword,
                            'nonce': the_ajax_script.nonce,
                            'cat': cat,
                            'search_type': the_ajax_script.search_content_type
                        },
                        ajaxurl = wc_add_to_cart_params.wc_ajax_url.toString().replace('%%endpoint%%', 'flat_search_products');

                    xhr = $.post(
                        ajaxurl,
                        data,
                        function (response) {
                            var $products = response.data;

                            searchFormResult($currentForm, $results, $products, keycat);
                            $results.removeClass('loading');
                        }
                    );
                }

            }
            
        }

        function searchFormResult($currentForm, $results, $products, keycat) {

            $currentForm.removeClass('searching');


            $currentForm.addClass('found-products');

            $results.html($products);

            $currentForm.removeClass('invalid-length');

            $(document.body).trigger('flat_ajax_search_request_success', [$results]);

            // Cache
            searchCache[keycat] = {
                found: true,
                products: $products
            };

            $currentForm.addClass('searched actived');

        }
    };

    var miniCart = function() {
        /* open mini cart */
        jQuery('body').on("click", ".cart-open", function() {
            jQuery('body').toggleClass("cart-is-open");
            return false;
        });
        jQuery(document).on("click", ".cart-close, .cart-is-open .pseudo-close", function() {
            jQuery('body').toggleClass("cart-is-open");
            return false;
        });

        jQuery(document).on( 'change', 'form.woocommerce-cart-form input.qty', function() {
            var $this = jQuery(this).parents('form');
            jQuery( '.woocommerce-cart-form :input[name="update_cart"]' ).prop( 'disabled', false );
            var product_id = jQuery(this).parents('.product-quantity').data('product_id'),
            cart_item_key = jQuery(this).parents('.product-quantity').data('cart_item_key');
            $this.find('.update-cart-action').attr('data-cart_item_key',cart_item_key);
            $this.find('.update-cart-action').attr('data-product_id',product_id);
            $this.find('.update-cart-action').attr('data-qty',$(this).val());

            jQuery(this).parents('form').find('input[type=submit]').trigger("click");
        });

        jQuery(document).on('submit','#mini-cart form.woocommerce-cart-form',function(e){
            e.preventDefault();
            var product_id = $(this).find('.update-cart-action').data("product_id"),
                cart_item_key = $(this).find('.update-cart-action').data("cart_item_key"),
                qty = $(this).find('.update-cart-action').data("qty");
            $('.menu-cart-content').find('.cart-bottom').addClass('loading');
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: the_ajax_script.ajaxurl,
                data: {
                    action: "product_update",
                    product_id: product_id,
                    qty: qty,
                    cart_item_key: cart_item_key
                },
                success: function(response) {
                    if ( ! response || response.error )
                        return;

                    var fragments = response.fragments;

                    // Replace fragments
                    if ( fragments ) {
                        $.each( fragments, function( key, value ) {
                            $( key ).replaceWith( value );
                        });
                    }
                    // Update cart
                    $( document.body ).trigger( 'wc_update_cart' );
                    $('.menu-cart-content').find('.cart-bottom').removeClass('loading');
                }
            });
        });

        // Ajax delete product in the cart
        $(document).on('click', '.cart_item a.remove', function (e){
            e.preventDefault();

            var product_id = $(this).attr("data-product_id"),
                cart_item_key = $(this).attr("data-cart_item_key"),
                product_container = $(this).parents('.cart_item');
            $(product_container).addClass('loading');
            $('.menu-cart-content').find('.cart-bottom').addClass('loading');
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: the_ajax_script.ajaxurl,
                data: {
                    action: "product_remove",
                    product_id: product_id,
                    cart_item_key: cart_item_key
                },
                success: function(response) {
                    if ( ! response || response.error )
                        return;

                    var fragments = response.fragments;

                    // Replace fragments
                    if ( fragments ) {
                        $.each( fragments, function( key, value ) {
                            $( key ).replaceWith( value );
                        });
                    }
                    // Update cart
                    $( document.body ).trigger( 'wc_update_cart' );
                    $('.menu-cart-content').find('.cart-bottom').removeClass('loading');
                }
            });
        });
    };

    var changeVariation = function(){
        jQuery('body').on( 'change', '.variations .woo-variation-items-wrapper select', function() {
            var item = null;
            if (jQuery(this).parents(".row.products").length) { item = jQuery(this).parents(".product"); }
            onChangeVariation(item);
        });
    };
    function onChangeVariation(item){
        if (item) {
            if (item.find('.variation-image').length) {
                var variationItem = '';
                item.find('.variations .woo-variation-items-wrapper select').each(function(i) {
                    if (i !== 0) { variationItem += ' '; }
                    variationItem += jQuery(this).val();
                });
                var imageItem = '';
                item.find('.variation-image').each(function() {
                    var gal = jQuery(this).data("variation");
                    if (variationItem.indexOf(gal) > -1) {
                      imageItem = jQuery(this);
                    }
                });
                if (imageItem) {
                    imageItem.appendTo(item.find('.thumb-hover'));
                    setTimeout(function(){ 
                        item.find('.variation-image').removeClass("active");
                        imageItem.addClass("active"); 
                    }, 50);
                } else {
                    item.find('.variation-image').removeClass("active");
                }
            }
        }
    };

    var themeFlatTooltip = function(){
        $('.content-product,.content-detail,.entry-summary').find('[data-rel=tooltip]').tooltip({
            classes: {'ui-tooltip': 'flat-tooltip'},
            tooltipClass: 'flat-tooltip',
            position: {my: 'center bottom', at: 'center top-13'},
            create: function () {
                $('.ui-helper-hidden-accessible').remove();
            }
        });
    };

    var tooltiple_tinvwl = function() {
        $('.tinvwl_add_to_wishlist_button.tinvwl-product-in-list').parent().attr('title','Already exists in Wishlist');
        $('.tinvwl_add_to_wishlist_button').on('click',function(){
            $(this).parent().attr('title','Already exists in Wishlist');
        });
    }


// Dom Ready
$(function() {
    flexslider_img_woo(); 
    quantity_adjust();
    shopView();
    addedNoticecCatalog();
    productCategoriesWidget();
    addToCartAjax();
    productQuickView();
    flat_quick_view_galllery();
    productThumbnail();
    productVatiation();
    instanceSearch();
    miniCart();
    changeVariation()
    themeFlatTooltip()
    tooltiple_tinvwl()
});
})(jQuery);