<?php
/*
Template Name: Page Piling Canvas
*/

\Elementor\Plugin::$instance->frontend->add_body_class( 'elementor-template-canvas' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<?php if ( ! current_theme_supports( 'title-tag' ) ) : ?>
			<title><?php echo wp_get_document_title(); ?></title>
		<?php endif; ?>
		<?php wp_head(); ?>
		<?php echo \Elementor\Utils::get_meta_viewport( 'canvas' ); ?>
	</head>
	<body <?php body_class(); ?>>		
		<?php
		Elementor\Modules\PageTemplates\Module::body_open();
		do_action( 'elementor/page_templates/canvas/before_content' );
		?>
		<?php
		\Elementor\Plugin::$instance->modules_manager->get_modules( 'page-templates' )->print_content();
		?>
		<?php
		do_action( 'elementor/page_templates/canvas/after_content' );
		wp_footer();
		?>		
	</body>
</html>