<?php
class TFTitle_Section_Widget_Free extends \Elementor\Widget_Base {

	public function get_name() {
        return 'tf-title-section';
    }
    
    public function get_title() {
        return esc_html__( 'TF Title Section', 'themesflat-elementor' );
    }

    public function get_icon() {
        return 'eicon-t-letter';
    }
    
    public function get_categories() {
        return [ 'themesflat_addons' ];
    }

    public function get_style_depends(){
	    return ['tf-style'];
	}
	public function get_script_depends() {
    	return ['slide-typed','tf-main'];
  	}

	protected function register_controls() {
		// Start Tab Setting        
			$this->start_controls_section( 'section_tabs',
	            [
	                'label' => esc_html__('Title Section', 'themesflat-elementor'),
	            ]
	        );

	        $this->add_control(
				'sub_title',
				[
					'label' => esc_html__( 'Sub Title', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'default' => esc_html__( '', 'themesflat-elementor' ),
					'label_block' => true,
				]
			);

			$this->add_control( 
	        	'html_tag',
				[
					'label' => esc_html__( 'HTML Tag', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'h2',
					'options' => [
						'h1' => esc_html__( 'H1', 'themesflat-elementor' ),
						'h2' => esc_html__( 'H2', 'themesflat-elementor' ),
						'h3' => esc_html__( 'H3', 'themesflat-elementor' ),
						'h4' => esc_html__( 'H4', 'themesflat-elementor' ),
						'h5' => esc_html__( 'H5', 'themesflat-elementor' ),
						'h6' => esc_html__( 'H6', 'themesflat-elementor' ),
						'span' => esc_html__( 'span', 'themesflat-elementor' ),
						'p' => esc_html__( 'p', 'themesflat-elementor' ),
						'div' => esc_html__( 'div', 'themesflat-elementor' ),
					],
				]
			);

			$this->add_control(
				'text_first',
				[
					'label' => esc_html__( 'Text First', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'default' => esc_html__( 'To Our', 'themesflat-elementor' ),
					'label_block' => true,
				]
			);			

			$this->add_control(
				'text',
				[
					'label' => esc_html__( 'Text', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'description' => esc_html__( 'if you choose animation text as type then you need to put a display string with commas (ex: Illustration, Alfonso, Animation,...)', 'themesflat-elementor' ),
					'default' => esc_html__( 'Zev', 'themesflat-elementor' ),
					'label_block' => true,
				]
			);

			$this->add_control(
				'text_last',
				[
					'label' => esc_html__( 'Text Last', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'default' => esc_html__( 'Letest News', 'themesflat-elementor' ),
					'label_block' => true,
				]
			);				

			$this->add_control(
				'align',
				[
					'label' => esc_html__( 'Alignment', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::CHOOSE,
					'default' => 'center',
					'options' => [
						'left'    => [
							'title' => esc_html__( 'Left', 'themesflat-elementor' ),
							'icon' => 'eicon-text-align-left',
						],
						'center' => [
							'title' => esc_html__( 'Center', 'themesflat-elementor' ),
							'icon' => 'eicon-text-align-center',
						],
						'right' => [
							'title' => esc_html__( 'Right', 'themesflat-elementor' ),
							'icon' => 'eicon-text-align-right',
						]
					],
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section' => 'text-align: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'line_and_image',
				[
					'label' => esc_html__( 'Show Line', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::SWITCHER,
					'label_on' => esc_html__( 'Show', 'themesflat-elementor' ),
					'label_off' => esc_html__( 'Hide', 'themesflat-elementor' ),
					'return_value' => 'yes',
					'default' => 'yes',
				]
			);
	        
			$this->end_controls_section();
        // /.End Tab Setting

        // Start Tab Image        
			$this->start_controls_section( 'section_tabs_image',
	            [
	                'label' => esc_html__('Image', 'themesflat-elementor'),
	            ]
	        );		

	        $this->add_control(
				'image',
				[
					'label' => esc_html__( 'Choose Image', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::MEDIA,
					'default' => [
						'url' => URL_THEMESFLAT_ADDONS_ELEMENTOR."assets/img/img-title-section.png",
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Image_Size::get_type(),
				[
					'name' => 'thumbnail',
					'include' => [],
					'default' => 'full',
				]
			);	
	        
			$this->end_controls_section();
        // /.End Tab Image         

	    // Start Style
	        $this->start_controls_section( 'section_style',
	            [
	                'label' => esc_html__( 'Style', 'themesflat-elementor' ),
	                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
	            ]
	        );

	        $this->add_control(
				'h_title',
				[
					'label' => esc_html__( 'Title', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::HEADING,
					'separator' => 'before',
				]
			);

			$this->add_group_control( 
	        	\Elementor\Group_Control_Typography::get_type(),
				[
					'name' => 'typography',
					'label' => esc_html__( 'Typography', 'themesflat-elementor' ),
					'fields_options' => [
				        'typography' => ['default' => 'yes'],
				        'font_family' => [
				            'default' => 'Poppins',
				        ],
				        'font_size' => [
				            'default' => [
				                'unit' => 'px',
				                'size' => '32',
				            ],
				        ],
				        'font_weight' => [
				            'default' => '900',
				        ],
				        'line_height' => [
				            'default' => [
				                'unit' => 'em',
				                'size' => '1.2',
				            ],
				        ],
				        'text_transform' => [
							'default' => 'uppercase',
						],
				    ],
					'selector' => '{{WRAPPER}} .tf-title-section .title-section .wrap-title, {{WRAPPER}} .tf-title-section .title-section .wrap-title > span',
				]
			); 

			$this->add_control( 
				'color',
				[
					'label' => esc_html__( 'Color Text Fisrt & Last', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'default' => '#151515',
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section .wrap-title' => 'color: {{VALUE}}',					
					],
				]
			);			

			$this->add_control(
				'margin_title',
				[
					'label' => esc_html__( 'Margin', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%', 'em' ],
					'default' => [
						'top' => '12',
						'right' => '0',
						'bottom' => '0',
						'left' => '0',
						'unit' => 'px',
						'isLinked' => false,
					],
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section .wrap-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Background::get_type(),
				[
					'name' => 'text_gradient_background',
					'label' => esc_html__( 'Gradient Color', 'themesflat-elementor' ),
					'types' => [ 'gradient' ],
					'fields_options' => [
						'gradient_type' => [
							'default' => 'linear'
						],
						'color' =>  [
							'default' => '#eb6d2f'
						],
						'color_b' =>  [
							'default' => '#fdd906'
						],
					],
					'selector' => '{{WRAPPER}} .tf-title-section .text-gradient',
				]
			);

			$this->add_control(
				'animation_text',
				[
					'label' => esc_html__( 'Animation Text', 'scroll' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'default' => 'none',
					'options' => [
						'none'  => esc_html__( 'None', 'scroll' ),
						'type' => esc_html__( 'Type', 'scroll' ),
					],
				]
			);

			$this->add_responsive_control(
				'distance_between',
				[
					'label' => __( 'Distance Between Animation Text', 'plugin-domain' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px' ],
					'range' => [
						'px' => [
							'min' => 0,
							'max' => 100,
							'step' => 1,
						],
					],
					'default' => [
						'unit' => 'px',
						'size' => 5,
					],
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section.fancy-text .wrap-title .text-gradient' => 'margin-left: {{SIZE}}{{UNIT}};margin-right: {{SIZE}}{{UNIT}};',
					],
					'condition' => [
						'animation_text' => 'type',
					],
				]
			);

			$this->add_control(
				'h_sub_title',
				[
					'label' => esc_html__( 'Sub Title', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::HEADING,
					'separator' => 'before',
				]
			);

			$this->add_group_control( 
	        	\Elementor\Group_Control_Typography::get_type(),
				[
					'name' => 'typography_sub_title',
					'label' => esc_html__( 'Typography', 'themesflat-elementor' ),
					'fields_options' => [
				        'typography' => ['default' => 'yes'],
				        'font_family' => [
				            'default' => 'Open Sans',
				        ],
				        'font_size' => [
				            'default' => [
				                'unit' => 'px',
				                'size' => '16',
				            ],
				        ],
				        'font_weight' => [
				            'default' => '400',
				        ],
				        'line_height' => [
				            'default' => [
				                'unit' => 'px',
				                'size' => '16',
				            ],
				        ],
				        'letter_spacing' => [
				            'default' => [
				                'unit' => 'px',
				                'size' => '8',
				            ],
				        ],
				    ],
					'selector' => '{{WRAPPER}} .tf-title-section .title-section .sub-title',
				]
			); 

			$this->add_control( 
				'color_sub_title',
				[
					'label' => esc_html__( 'Color Text Fisrt & Last', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'default' => '#777777',
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section .sub-title' => 'color: {{VALUE}}',					
					],
				]
			);

			$this->add_control(
				'margin_sub_title',
				[
					'label' => esc_html__( 'Margin', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%', 'em' ],
					'default' => [
						'top' => '17',
						'right' => '0',
						'bottom' => '17',
						'left' => '0',
						'unit' => 'px',
						'isLinked' => false,
					],
					'selectors' => [
						'{{WRAPPER}} .tf-title-section .title-section .sub-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_control(
				'hover_animation',
				[
					'label' => esc_html__( 'Hover Animation', 'themesflat-elementor' ),
					'type' => \Elementor\Controls_Manager::HOVER_ANIMATION,
				]
			);			
			        
        	$this->end_controls_section();    
	    // /.End Style 
	}

	protected function render($instance = []) {
		$settings = $this->get_settings_for_display();

		$this->add_render_attribute( 'tf_title_section', ['id' => "tf-title-section-{$this->get_id()}", 'class' => ['tf-title-section'], 'data-tabid' => $this->get_id()] );

		$animation = ! empty( $settings['hover_animation'] ) ? 'elementor-animation-' . esc_attr( $settings['hover_animation'] . ' inline-block' ) : '';

		$text_first = $text = $text_last = $sub_title = '';

		if ($settings['text_first'] != '') {
			$text_first = '<span class="text-first">'.$settings['text_first'].'</span>';
		}

		if ($settings['text'] != '') {
			$text = '<span class="text-gradient"> '.$settings['text'].' </span>';
		}

		if ($settings['text_last'] != '') {
			$text_last = '<span class="text-last">'.$settings['text_last'].'</span>';
		}

		$image =  \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, 'thumbnail', 'image' );

		$image_html = '';
		if ($settings['line_and_image'] == 'yes') {
			$image_html = sprintf( '<div class="image">
									<div class="separator-vertical"></div>
									<div class="inner-image"><span>%1$s</span></div>
								</div>', $image );
		}

		if ($settings['sub_title'] != '') {
			$sub_title = sprintf( '<div class="sub-title">%1$s</div>', $settings['sub_title'] );
		}	

		if ($settings['animation_text'] == 'none') {
			$content = sprintf( '<div class="title-section %2$s">%6$s %7$s<%1$s class="wrap-title heading">%3$s%4$s%5$s</%1$s></div>', $settings['html_tag'], $animation, $text_first, $text, $text_last, $image_html, $sub_title );
		}elseif($settings['animation_text'] == 'type'){
			$fancy_text = 'fancy-text typed';
			if ($settings['text'] != '') {
				$text = '<span class="text-gradient"><span class="text-fancy"> '.$settings['text'].' </span></span>';
			}
			$content = sprintf( '<div class="title-section %2$s %8$s" data-fancy="%9$s">%6$s %7$s<%1$s class="wrap-title heading">%3$s%4$s%5$s</%1$s></div>', $settings['html_tag'], $animation, $text_first, $text, $text_last, $image_html, $sub_title, $fancy_text, $settings['text'] );
		}


		echo sprintf ( 
			'<div %1$s> 
				%2$s                
            </div>',
            $this->get_render_attribute_string('tf_title_section'),
            $content
        );	
		
	}

	

}