<?php
get_header();
$term_slug = $wp_query->tax_query->queries[0]['terms'][0];
if ( get_query_var('paged') ) {
    $paged = get_query_var('paged');
} elseif ( get_query_var('page') ) {
    $paged = get_query_var('page');
} else {
    $paged = 1;
}
?>
   
<div class="themesflat-portfolios-taxonomy">
    <?php     
    $args = array(
        'post_type' => 'portfolios',
        'paged'     => $paged,
    );
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolios_category',
            'field'    => 'slug',
            'terms'    => $term_slug
        ),
    );      
    ?>
    <div class="wrap-portfolios-post row column-3">
        <?php 
        $query = new WP_Query($args);
        if( $query->have_posts() ) {
            while ( $query->have_posts() ) : $query->the_post(); ?>           
                <div class="item">
                    <div class="portfolios-post portfolios-post-<?php the_ID(); ?>">
                        <div class="featured-post">
                            <?php 
                                if ( has_post_thumbnail() ) { 
                                    $themesflat_thumbnail = "full";                              
                                    the_post_thumbnail( $themesflat_thumbnail );
                                }                                           
                            ?>
                            <a href="<?php echo get_the_permalink(); ?>" class="overlay zoom"></a>
                        </div>
                        <div class="content">
                            <div class="inner-content-left">
                                <ul class="post-meta">
                                    <li class="post-category">
                                        <?php echo the_terms( get_the_ID(), 'portfolios_category', '', ' , ', '' ); ?>
                                    </li>
                                </ul>
                                <h2 class="title">
                                     <a href="<?php echo get_the_permalink(); ?>"><?php echo get_the_title(); ?></a>
                                </h2>
                            </div>
                        </div>
                    </div>
                </div>                    
                <?php 
            endwhile; 
        }
        wp_reset_postdata();
        ?>            
    </div>
</div><!-- /.themesflat-portfolios-taxonomy -->    

<div class="row">
    <div class="col-lg-12">           
        <?php 
        global $themesflat_paging_style, $themesflat_paging_for;
        $themesflat_paging_for = 'portfolios';
        $themesflat_paging_style = themesflat_get_opt('portfolio_archive_pagination_style');             
        get_template_part( 'tpl/pagination' );
        wp_reset_postdata();
        ?>                
    </div>
</div>
<?php get_footer(); ?>