<?php
/**
 * Plugin Name: ThemesFlat
 * Plugin URI:  http://themesflat.com/
 * Description: The theme's components
 * Author:      ThemesFlat
 * Version:     1.0.0
 * Author URI: http://themesflat.com/
 */

define( 'THEMESFLAT_VERSION', '1.0.0' );
define( 'THEMESFLAT_PATH', plugin_dir_path( __FILE__ ) );
define( 'THEMESFLAT_URL', plugin_dir_url( __FILE__ ) );
define( 'THEMESFLAT_ICON', plugin_dir_url( __FILE__ ).'assets/img/logo.png' );

$theme = wp_get_theme();
if ( 'Zev' == $theme->name || 'Zev' == $theme->parent_theme ) {
    require_once THEMESFLAT_PATH . '/poststype/init-posts-type.php';
    require_once THEMESFLAT_PATH . '/includes/options.php';
    require_once THEMESFLAT_PATH . '/includes/metabox-options.php';
    require THEMESFLAT_PATH . "widgets/themesflat_recent_post.php";
    require THEMESFLAT_PATH . "widgets/themesflat_categories.php";
    require THEMESFLAT_PATH . "widgets/themesflat_socials.php"; 
}

function themesflat_shortcode_register_assets() {
	wp_enqueue_style( 'iziModal', plugins_url('assets/css/iziModal.css', __FILE__), array(), true );
	wp_enqueue_style( 'tf-main-post-type', plugins_url('assets/css/tf-main-post-type.css', __FILE__), array(), true );

	wp_enqueue_script( 'iziModal', plugins_url('assets/js/iziModal.js', __FILE__), array(), '1.0', true );
    wp_enqueue_script( 'jquery-isotope' );
    wp_enqueue_script( 'imagesloaded-pkgd' );
	wp_enqueue_script( 'tf-main-post-type', plugins_url('assets/js/tf-main-post-type.js', __FILE__), array(), '1.0', true );
}
add_action( 'wp_enqueue_scripts', 'themesflat_shortcode_register_assets', 999999 );

function themesflat_admin_script_meta_box() {
    $screen = get_current_screen(); 
    wp_enqueue_script( 'themesflat-meta-box', plugins_url('assets/js/meta-boxes.js', __FILE__), array(), true );
    
}
add_action( 'admin_enqueue_scripts', 'themesflat_admin_script_meta_box' );

function add_image_sizes() {
    add_image_size( 'themesflat-portfolio-related', 750, 612, true );
}
add_action( 'after_setup_theme', 'add_image_sizes' );